"use strict";Object.defineProperty(exports, "__esModule", {value: true}); function _nullishCoalesce(lhs, rhsFn) { if (lhs != null) { return lhs; } else { return rhsFn(); } }

var _chunkYTROGT4Rcjs = require('./chunk-YTROGT4R.cjs');


var _chunkN46W55MHcjs = require('./chunk-N46W55MH.cjs');



var _chunk4DTP63TDcjs = require('./chunk-4DTP63TD.cjs');








var _chunkALCNRFOTcjs = require('./chunk-ALCNRFOT.cjs');

// src/browser/log/log-browser-factory.ts
function LoggerBrowserSetupDebugFactory(opt = {}) {
  const filter = _nullishCoalesce(_nullishCoalesce(opt.filter, () => ( localStorage.zeed)), () => ( localStorage.debug));
  const styleFont = 'font-family: "JetBrains Mono", Menlo; font-size: 11px;';
  const styleDefault = `${styleFont}`;
  const styleBold = `font-weight: 600; ${styleFont}`;
  const useColors = _chunkYTROGT4Rcjs.browserSupportsColors.call(void 0, );
  const noop = () => {
  };
  return function LoggerBrowserDebugFactory(name = "", logLevel) {
    let log;
    const matches = _chunk4DTP63TDcjs.useNamespaceFilter.call(void 0, filter);
    const level = _chunk4DTP63TDcjs.parseLogLevel.call(void 0, _nullishCoalesce(logLevel, () => ( _chunkALCNRFOTcjs.LogLevelAll)));
    if (matches(name) && level !== _chunkALCNRFOTcjs.LogLevelOff) {
      let defineForLogLevel2 = function(fnLevel, fn) {
        if (level <= fnLevel)
          return fn;
        return () => {
        };
      };
      var defineForLogLevel = defineForLogLevel2;
      const fixedArgs = [];
      if (useColors) {
        const color = _chunkN46W55MHcjs.browserSelectColorByName.call(void 0, name);
        fixedArgs.push(`%c${name.padEnd(16, " ")}%c 	%s`);
        fixedArgs.push(`color:${color}; ${styleBold}`);
        fixedArgs.push(styleDefault);
      } else {
        fixedArgs.push(`[${name}] 	%s`);
      }
      log = defineForLogLevel2(_chunkALCNRFOTcjs.LogLevelDebug, console.debug.bind(console, ...fixedArgs));
      log.debug = defineForLogLevel2(_chunkALCNRFOTcjs.LogLevelDebug, console.debug.bind(console, ...fixedArgs));
      log.info = defineForLogLevel2(_chunkALCNRFOTcjs.LogLevelInfo, console.info.bind(console, ...fixedArgs));
      log.warn = defineForLogLevel2(_chunkALCNRFOTcjs.LogLevelWarn, console.warn.bind(console, ...fixedArgs));
      log.error = defineForLogLevel2(_chunkALCNRFOTcjs.LogLevelError, console.error.bind(console, ...fixedArgs));
      log.fatal = defineForLogLevel2(_chunkALCNRFOTcjs.LogLevelFatal, (...args) => {
        log.error(...args);
        throw new Error(`${args.map(String).join(" ")}`);
      });
      log.assert = defineForLogLevel2(_chunkALCNRFOTcjs.LogLevelFatal, (condition, ...args) => {
        if (condition == null || typeof condition === "number" && Number.isNaN(condition) || !condition)
          log.fatal(...args);
      });
    } else {
      log = () => {
      };
      log.debug = noop;
      log.info = noop;
      log.warn = noop;
      log.error = noop;
      log.assert = noop;
      log.fatal = noop;
    }
    log.extend = (subName) => {
      return LoggerBrowserDebugFactory(name ? `${name}:${subName}` : subName);
    };
    log.label = name;
    return log;
  };
}
function activateConsoleDebug(_opt = {}) {
  console.info("activateConsoleDebug is activated by default in browsers");
}




exports.LoggerBrowserSetupDebugFactory = LoggerBrowserSetupDebugFactory; exports.activateConsoleDebug = activateConsoleDebug;
//# sourceMappingURL=chunk-LWXRNI3X.cjs.map