"use strict";Object.defineProperty(exports, "__esModule", {value: true});

var _chunkN5QVPPY5cjs = require('./chunk-N5QVPPY5.cjs');

// src/common/exec/mutex.ts
function useMutex() {
  let token = true;
  return (fn, elseFn) => {
    let executed = false;
    if (token) {
      token = false;
      try {
        fn();
        executed = true;
      } finally {
        token = true;
      }
    } else if (elseFn !== void 0) {
      elseFn();
    }
    return executed;
  };
}
function useAsyncMutex() {
  let token = true;
  return async (fn, elseFn) => {
    let executed = false;
    if (token) {
      token = false;
      try {
        const result = fn();
        if (_chunkN5QVPPY5cjs.isPromise.call(void 0, result))
          await result;
        executed = true;
      } finally {
        token = true;
      }
    } else if (elseFn !== void 0) {
      const result = elseFn();
      if (_chunkN5QVPPY5cjs.isPromise.call(void 0, result))
        await result;
    }
    return executed;
  };
}




exports.useMutex = useMutex; exports.useAsyncMutex = useAsyncMutex;
//# sourceMappingURL=chunk-NCMGFEPH.cjs.map