"use strict";Object.defineProperty(exports, "__esModule", {value: true});


var _chunkVECBUBQPcjs = require('./chunk-VECBUBQP.cjs');



var _chunkDG7AY3TMcjs = require('./chunk-DG7AY3TM.cjs');

// src/common/msg/encoder.ts
var NoopEncoder = class {
  async encode(data) {
    return data;
  }
  async decode(data) {
    return data;
  }
};
var JsonEncoder = class {
  async encode(data) {
    return _chunkDG7AY3TMcjs.jsonToUint8Array.call(void 0, data);
  }
  async decode(data) {
    return _chunkDG7AY3TMcjs.Uint8ArrayToJson.call(void 0, data);
  }
};
var CryptoEncoder = class {
  constructor(key) {
    this.key = key;
  }
  async encode(data) {
    const plain = _chunkDG7AY3TMcjs.jsonToUint8Array.call(void 0, data);
    return await _chunkVECBUBQPcjs.encrypt.call(void 0, plain, this.key);
  }
  async decode(data) {
    const plain = await _chunkVECBUBQPcjs.decrypt.call(void 0, data, this.key);
    return _chunkDG7AY3TMcjs.Uint8ArrayToJson.call(void 0, plain);
  }
};





exports.NoopEncoder = NoopEncoder; exports.JsonEncoder = JsonEncoder; exports.CryptoEncoder = CryptoEncoder;
//# sourceMappingURL=chunk-YLIOIRA7.cjs.map