import "../chunk-HMRSQHLY.js";
import "../chunk-UMUHNSGZ.js";
import "../chunk-XXA2VCHX.js";
import "../chunk-KZGDS2U4.js";
import "../chunk-757WXGDS.js";
import "../chunk-MKG75UEC.js";
import "../chunk-MWUFUBY5.js";
import "../chunk-GKKLBSFA.js";
import "../chunk-RNL46FQ3.js";
import "../chunk-5YRPAB4U.js";
import "../chunk-QVFQNQV4.js";
import "../chunk-FLFB2K34.js";
import "../chunk-264HKVNG.js";
import "../chunk-HST4VI64.js";
import "../chunk-MN6DD7TD.js";
import "../chunk-GZUTQZ3U.js";
import "../chunk-IRAXCYXQ.js";
import "../chunk-T2MBDYSL.js";
import "../chunk-EW6FHLFK.js";
import "../chunk-OYNSVQOM.js";
import "../chunk-Q75B3LT2.js";
import "../chunk-NKARXZR4.js";
import "../chunk-LUQZ27ZQ.js";
import "../chunk-HYJBWXV7.js";
import "../chunk-7OAUULYN.js";
import "../chunk-AR6BCIEQ.js";
import "../chunk-SMAIMMCT.js";
import "../chunk-2OOKKBJ6.js";
import "../chunk-BZI4YHUE.js";
import "../chunk-X7W6H72B.js";
import "../chunk-ZVMU3WSX.js";
import "../chunk-4EOY6YSF.js";
import "../chunk-EK32D4RU.js";
import "../chunk-7GOLOL5D.js";
import "../chunk-EC265RJR.js";
import {
  DefaultLogger
} from "../chunk-Q4U2LWXG.js";
import "../chunk-W7LFRQ22.js";
import "../chunk-F43DOT7T.js";
import "../chunk-CFICINSP.js";
import {
  decrypt,
  deriveKeyPbkdf2,
  digest,
  encrypt,
  randomUint8Array
} from "../chunk-5RFQXBFU.js";
import "../chunk-I45WP5PM.js";
import "../chunk-XZKJFOLV.js";
import "../chunk-MAHFB3CS.js";
import "../chunk-EJVKADTL.js";
import "../chunk-ERNLUGKM.js";
import "../chunk-IXQQW2HU.js";
import "../chunk-XSB2WAW2.js";
import "../chunk-AS5LR4AI.js";
import "../chunk-5Y3HYG6B.js";
import "../chunk-AFUVZLZZ.js";
import "../chunk-VQP2U5NJ.js";
import "../chunk-2NUBGBAZ.js";
import "../chunk-JOGTJBRE.js";
import "../chunk-FL5CT6MC.js";
import "../chunk-2HWPZ6ZE.js";
import "../chunk-HLRQ5H3N.js";
import "../chunk-FPGKBYJC.js";
import "../chunk-SIEZSWEQ.js";
import "../chunk-DGP32WEQ.js";
import "../chunk-SW2CNWDU.js";
import "../chunk-HWIBO3OW.js";
import "../chunk-Z4LF2VTM.js";
import "../chunk-CBA7RGFL.js";
import "../chunk-YEEGQOIW.js";
import "../chunk-2OESVESN.js";
import "../chunk-IZT6OHMS.js";
import "../chunk-V2ICHMP3.js";
import "../chunk-CFAKTF25.js";
import "../chunk-TYWNSO7K.js";
import "../chunk-ZMFW3O35.js";
import "../chunk-VK2OFAYR.js";
import "../chunk-7NSVDPHN.js";
import {
  equalBinary,
  toHex
} from "../chunk-EWHIXGDN.js";
import "../chunk-UHUPIXEQ.js";

// src/common/crypto.spec.ts
var log = DefaultLogger("crypto.spec");
describe("crypto", () => {
  it("should not have collisions", () => {
    expect(equalBinary(new Uint8Array(2), new Uint8Array([0, 0]))).toBe(true);
    const list = Array.apply(null, Array(100)).map(
      () => randomUint8Array(8)
    );
    let id;
    while (id = list.pop()) {
      expect(equalBinary(id, new Uint8Array([0, 0, 0, 0, 0, 0, 0, 0]))).toBe(
        false
      );
      expect(id?.length).toBe(8);
      expect(list).not.toContain(id);
    }
  });
  it("should digest", async () => {
    expect(toHex(await digest("abc"))).toBe(
      "ba7816bf8f01cfea414140de5dae2223b00361a396177a9cb410ff61f20015ad"
    );
    expect(await digest(new Uint8Array([1, 2, 3]))).toMatchInlineSnapshot(`
Uint8Array [
  3,
  144,
  88,
  198,
  242,
  192,
  203,
  73,
  44,
  83,
  59,
  10,
  77,
  20,
  239,
  119,
  204,
  15,
  120,
  171,
  204,
  206,
  213,
  40,
  125,
  132,
  161,
  162,
  1,
  28,
  251,
  129,
]
`);
  });
  it("should raw crypt", async () => {
    const key = await deriveKeyPbkdf2(new Uint8Array([1, 2, 3]), {
      salt: new Uint8Array([1, 2, 3])
    });
    const sample = new Uint8Array([9, 8, 7, 6, 5, 4, 3, 2, 1, 0]);
    const cipher = await encrypt(sample, key);
    const bin = await decrypt(cipher, key);
    expect(equalBinary(sample, bin)).toBe(true);
    const binFix = await decrypt(
      new Uint8Array([
        1,
        1,
        27,
        108,
        252,
        31,
        238,
        192,
        61,
        168,
        45,
        29,
        128,
        212,
        215,
        222,
        205,
        105,
        178,
        193,
        150,
        36,
        24,
        216,
        180,
        75,
        168,
        133,
        37,
        25,
        124,
        137,
        221,
        103,
        214,
        97,
        218,
        232,
        248,
        93
      ]),
      key
    );
    expect(binFix).toEqual(sample);
  });
});
//# sourceMappingURL=crypto.spec.js.map