"use strict";



var _chunkDLURJFPJcjs = require('../../chunk-DLURJFPJ.cjs');
require('../../chunk-DG7AY3TM.cjs');
require('../../chunk-JGD7O5EZ.cjs');

// src/common/data/convert.spec.ts
describe("convert", () => {
  it("should convert", () => {
    expect(_chunkDLURJFPJcjs.valueToString.call(void 0, 123)).toBe("123");
    expect(_chunkDLURJFPJcjs.valueToInteger.call(void 0, "123")).toBe(123);
    expect(_chunkDLURJFPJcjs.valueToInteger.call(void 0, true)).toBe(1);
  });
  it("should print errors", () => {
    expect(_chunkDLURJFPJcjs.renderMessages.call(void 0, ["Message", new Error("Hello")])).toContain(
      "Message Error: Hello"
    );
    expect(
      _chunkDLURJFPJcjs.renderMessages.call(void 0, ["Message", new Error("Hello")], { trace: false })
    ).toBe("Message Error: Hello");
    expect(
      _chunkDLURJFPJcjs.renderMessages.call(void 0, [
        "Message",
        { a: 1, b: null },
        null,
        void 0,
        Number.NaN,
        100,
        "string"
      ])
    ).toEqual(`Message {
  "a": 1,
  "b": null
} null undefined NaN 100 string`);
  });
});
//# sourceMappingURL=convert.spec.cjs.map