import "../../chunk-7GOLOL5D.js";
import "../../chunk-EC265RJR.js";
import {
  DefaultLogger
} from "../../chunk-Q4U2LWXG.js";
import "../../chunk-W7LFRQ22.js";
import "../../chunk-F43DOT7T.js";
import "../../chunk-CFICINSP.js";
import "../../chunk-I45WP5PM.js";
import "../../chunk-XZKJFOLV.js";
import "../../chunk-MAHFB3CS.js";
import "../../chunk-EJVKADTL.js";
import "../../chunk-ERNLUGKM.js";
import "../../chunk-IXQQW2HU.js";
import "../../chunk-XSB2WAW2.js";
import "../../chunk-AS5LR4AI.js";
import "../../chunk-5Y3HYG6B.js";
import "../../chunk-AFUVZLZZ.js";
import "../../chunk-VQP2U5NJ.js";
import "../../chunk-2NUBGBAZ.js";
import "../../chunk-JOGTJBRE.js";
import "../../chunk-FL5CT6MC.js";
import "../../chunk-2HWPZ6ZE.js";
import "../../chunk-HLRQ5H3N.js";
import {
  deepEqual,
  deepMerge,
  deepStripUndefinedInPlace
} from "../../chunk-FPGKBYJC.js";
import "../../chunk-SIEZSWEQ.js";
import "../../chunk-DGP32WEQ.js";
import "../../chunk-SW2CNWDU.js";
import "../../chunk-HWIBO3OW.js";
import "../../chunk-Z4LF2VTM.js";
import "../../chunk-CBA7RGFL.js";
import "../../chunk-YEEGQOIW.js";
import "../../chunk-2OESVESN.js";
import "../../chunk-IZT6OHMS.js";
import "../../chunk-V2ICHMP3.js";
import "../../chunk-CFAKTF25.js";
import "../../chunk-TYWNSO7K.js";
import "../../chunk-ZMFW3O35.js";
import "../../chunk-VK2OFAYR.js";
import "../../chunk-7NSVDPHN.js";
import "../../chunk-EWHIXGDN.js";
import "../../chunk-UHUPIXEQ.js";

// src/common/data/deep.spec.ts
var log = DefaultLogger("test:deep");
describe("deep", () => {
  it("should deep without self reference", () => {
    const sample = {
      a: 1
    };
    sample.b = sample;
    const sample2 = {
      a: 1
    };
    sample2.b = sample2;
    log("sample", sample);
    expect(deepEqual(sample, sample2)).toBe(false);
  });
  it("should compare arays", () => {
    const a = [1, 2, 3];
    const b = [3, 2, 1];
    expect(deepEqual(a, b)).toBe(false);
    const c = [3, 2, 1, 0];
    expect(deepEqual(a, c)).toBe(false);
  });
  it("should simple checks", () => {
    const value = new String("Hello");
    expect(typeof value === "object").toBe(true);
    expect(value.valueOf()).toBe("Hello");
    expect(new String(value).valueOf()).toBe("Hello");
  });
  it("should merge deep", () => {
    const a = {
      hello: {
        world: 42
      },
      before: {
        magic: 666
      }
    };
    const b = {
      hello: {
        world: -1,
        sea: "none"
      },
      other: {
        fish: 2
      }
    };
    const c = {
      other: {
        fish: 8
      }
    };
    const d = deepMerge(a, b, c);
    expect(d).toEqual({
      hello: {
        world: -1,
        sea: "none"
      },
      other: {
        fish: 8
      },
      before: {
        magic: 666
      }
    });
  });
  it("should strip undefined", () => {
    const sample = {
      hello: {
        world: -1,
        null1: null,
        undefined1: void 0,
        sea: "none"
      },
      undefined1: void 0,
      other: [
        {
          fish: 8,
          undefined1: void 0
        },
        void 0,
        null,
        "Hello"
      ],
      before: {
        magic: 666
      }
    };
    expect(JSON.stringify(sample, null, 2)).toMatchInlineSnapshot(`
      "{
        "hello": {
          "world": -1,
          "null1": null,
          "sea": "none"
        },
        "other": [
          {
            "fish": 8
          },
          null,
          null,
          "Hello"
        ],
        "before": {
          "magic": 666
        }
      }"
    `);
    expect(deepStripUndefinedInPlace(sample)).toMatchInlineSnapshot(`
      Object {
        "before": Object {
          "magic": 666,
        },
        "hello": Object {
          "null1": null,
          "sea": "none",
          "world": -1,
        },
        "other": Array [
          Object {
            "fish": 8,
            "undefined1": undefined,
          },
          null,
          "Hello",
        ],
      }
    `);
  });
});
//# sourceMappingURL=deep.spec.js.map