"use strict";


var _chunkIDLXZRO6cjs = require('../../chunk-IDLXZRO6.cjs');

// src/common/data/format.spec.ts
describe("format.spec", () => {
  it("should format bytes", async () => {
    expect(_chunkIDLXZRO6cjs.formatBytesToHuman.call(void 0, 123)).toMatchInlineSnapshot('"123 bytes"');
    expect(_chunkIDLXZRO6cjs.formatBytesToHuman.call(void 0, 16 * 1024)).toMatchInlineSnapshot('"16.00 KiB"');
    expect(_chunkIDLXZRO6cjs.formatBytesToHuman.call(void 0, 16 * 1024 * 1024)).toMatchInlineSnapshot('"16.00 MiB"');
    expect(_chunkIDLXZRO6cjs.formatBytesToHuman.call(void 0, 16 * 1024 + 123)).toMatchInlineSnapshot('"16.12 KiB"');
    expect(_chunkIDLXZRO6cjs.formatBytesToHuman.call(void 0, 16 * 1024 + 123, 0)).toMatchInlineSnapshot('"16 KiB"');
    expect(_chunkIDLXZRO6cjs.formatBytesToHuman.call(void 0, -123)).toMatchInlineSnapshot('"0 bytes"');
    expect(_chunkIDLXZRO6cjs.formatBytesToHuman.call(void 0, 0)).toMatchInlineSnapshot('"0 bytes"');
  });
  it("should format time", async () => {
    expect(_chunkIDLXZRO6cjs.formatSecondsToTime.call(void 0, 0)).toMatchInlineSnapshot('"0:00"');
    expect(_chunkIDLXZRO6cjs.formatSecondsToTime.call(void 0, -123)).toMatchInlineSnapshot('"-2:03"');
    expect(_chunkIDLXZRO6cjs.formatSecondsToTime.call(void 0, 123)).toMatchInlineSnapshot('"2:03"');
    expect(_chunkIDLXZRO6cjs.formatSecondsToTime.call(void 0, 60 * 60 * 12)).toMatchInlineSnapshot('"12:00:00"');
    expect(_chunkIDLXZRO6cjs.formatSecondsToTime.call(void 0, 60 * 60 * 12, ".")).toMatchInlineSnapshot('"12.00.00"');
    expect(_chunkIDLXZRO6cjs.formatSecondsToTime.call(void 0, 60 * 60 * 1e3)).toMatchInlineSnapshot('"1000:00:00"');
  });
});
//# sourceMappingURL=format.spec.cjs.map