import "../chunk-EW6FHLFK.js";
import "../chunk-OYNSVQOM.js";
import "../chunk-Q75B3LT2.js";
import "../chunk-NKARXZR4.js";
import "../chunk-LUQZ27ZQ.js";
import "../chunk-HYJBWXV7.js";
import "../chunk-7OAUULYN.js";
import "../chunk-AR6BCIEQ.js";
import "../chunk-SMAIMMCT.js";
import "../chunk-2OOKKBJ6.js";
import "../chunk-BZI4YHUE.js";
import "../chunk-X7W6H72B.js";
import "../chunk-ZVMU3WSX.js";
import "../chunk-4EOY6YSF.js";
import {
  useDefer,
  useDispose
} from "../chunk-EK32D4RU.js";
import "../chunk-7GOLOL5D.js";
import "../chunk-EC265RJR.js";
import {
  DefaultLogger
} from "../chunk-Q4U2LWXG.js";
import "../chunk-W7LFRQ22.js";
import "../chunk-F43DOT7T.js";
import "../chunk-CFICINSP.js";
import "../chunk-5RFQXBFU.js";
import "../chunk-I45WP5PM.js";
import "../chunk-XZKJFOLV.js";
import "../chunk-MAHFB3CS.js";
import "../chunk-EJVKADTL.js";
import "../chunk-ERNLUGKM.js";
import "../chunk-IXQQW2HU.js";
import "../chunk-XSB2WAW2.js";
import "../chunk-AS5LR4AI.js";
import "../chunk-5Y3HYG6B.js";
import "../chunk-AFUVZLZZ.js";
import "../chunk-VQP2U5NJ.js";
import "../chunk-2NUBGBAZ.js";
import "../chunk-JOGTJBRE.js";
import "../chunk-FL5CT6MC.js";
import "../chunk-2HWPZ6ZE.js";
import "../chunk-HLRQ5H3N.js";
import "../chunk-FPGKBYJC.js";
import "../chunk-SIEZSWEQ.js";
import "../chunk-DGP32WEQ.js";
import "../chunk-SW2CNWDU.js";
import "../chunk-HWIBO3OW.js";
import "../chunk-Z4LF2VTM.js";
import {
  sleep
} from "../chunk-CBA7RGFL.js";
import "../chunk-YEEGQOIW.js";
import "../chunk-2OESVESN.js";
import "../chunk-IZT6OHMS.js";
import "../chunk-V2ICHMP3.js";
import "../chunk-CFAKTF25.js";
import "../chunk-TYWNSO7K.js";
import "../chunk-ZMFW3O35.js";
import "../chunk-VK2OFAYR.js";
import "../chunk-7NSVDPHN.js";
import "../chunk-EWHIXGDN.js";
import "../chunk-UHUPIXEQ.js";

// src/common/dispose-defer.spec.ts
var log = DefaultLogger("dispose-test");
describe("dispose", () => {
  it("should dispose correctly", async () => {
    const disposeCalls = [];
    const dispose = useDispose("a");
    const y = dispose.track({
      dispose() {
        disposeCalls.push(1);
      }
    });
    dispose.track(() => {
      disposeCalls.push(2);
    });
    const x = {
      async dispose() {
        disposeCalls.push(3);
      }
    };
    dispose.track(x);
    dispose.track();
    dispose.track(async () => {
      disposeCalls.push(4);
    });
    expect(disposeCalls).toEqual([]);
    expect(dispose.getSize()).toEqual(4);
    await dispose.untrack(x);
    expect(disposeCalls).toEqual([3]);
    expect(dispose.getSize()).toEqual(3);
    await dispose.untrack(x);
    expect(disposeCalls).toEqual([3]);
    expect(dispose.getSize()).toEqual(3);
    y?.();
    y?.();
    await dispose.untrack(x);
    expect(disposeCalls).toEqual([3, 1]);
    expect(dispose.getSize()).toEqual(2);
    await dispose.dispose();
    expect(disposeCalls).toEqual([3, 1, 4, 2]);
    expect(dispose.getSize()).toEqual(0);
    await dispose();
    expect(disposeCalls).toEqual([3, 1, 4, 2]);
    expect(dispose.getSize()).toEqual(0);
  });
  it("should be a fancy dispose itself", () => {
    let x = 1;
    class Some {
      constructor() {
        this.dispose = useDispose(log);
        this.dispose.track(() => {
          x = 2;
        });
      }
    }
    const obj = new Some();
    expect(x).toBe(1);
    obj.dispose();
    expect(x).toBe(2);
  });
  it("should defer lifo", async () => {
    const stack = [];
    const defer = useDefer({ mode: "lifo" });
    defer.add(() => stack.push("a"));
    defer.add(() => stack.push("b"));
    defer.add(() => stack.push("c"));
    expect(stack).toEqual([]);
    defer(true);
    expect(stack).toEqual(["c", "b", "a"]);
  });
  it("should defer fifo", async () => {
    const stack = [];
    const defer = useDefer({ mode: "fifo" });
    defer.add(() => stack.push("a"));
    defer.add(async () => stack.push("b"));
    defer.add(() => stack.push("c"));
    expect(stack).toEqual([]);
    await defer();
    expect(stack).toEqual(["a", "b", "c"]);
  });
  it("should dispose sync", async () => {
    const stack = [];
    const dispose = useDispose();
    dispose.add(() => stack.push("a"));
    dispose.add(() => stack.push("b"));
    dispose.add(() => stack.push("c"));
    expect(stack).toEqual([]);
    await dispose(true);
    expect(stack).toEqual(["c", "b", "a"]);
  });
  it("should dispose sync 2", async () => {
    const stack = [];
    const dispose = useDispose();
    dispose.add(() => stack.push("a"));
    dispose.add(() => stack.push("b"));
    dispose.add(async () => {
      await sleep(1);
      stack.push("c");
    });
    expect(stack).toEqual([]);
    expect(dispose.sync).toThrowError();
  });
});
//# sourceMappingURL=dispose-defer.spec.js.map