"use strict";

var _chunkBUWCUYNXcjs = require('../../chunk-BUWCUYNX.cjs');
require('../../chunk-BXH2HPYJ.cjs');
require('../../chunk-POYDQ737.cjs');
require('../../chunk-T3EJFERM.cjs');
require('../../chunk-YLIOIRA7.cjs');
require('../../chunk-6LKD7EB2.cjs');
require('../../chunk-FTPYRBK7.cjs');
require('../../chunk-M5A6E3IV.cjs');
require('../../chunk-XXOAD5DS.cjs');
require('../../chunk-AR2DA2WC.cjs');
require('../../chunk-XG57S66T.cjs');
require('../../chunk-ILU6JYIQ.cjs');
require('../../chunk-2ICTYHLD.cjs');
require('../../chunk-ROMJB24B.cjs');
require('../../chunk-FLEYODRW.cjs');
require('../../chunk-ZYPCVNSG.cjs');
require('../../chunk-VECBUBQP.cjs');
require('../../chunk-N46W55MH.cjs');
require('../../chunk-4DTP63TD.cjs');
require('../../chunk-ALCNRFOT.cjs');
require('../../chunk-44QLSR3L.cjs');
require('../../chunk-RHU3NAJJ.cjs');
require('../../chunk-5YJQXJJ2.cjs');
require('../../chunk-DRTH56G4.cjs');
require('../../chunk-KTC5RW57.cjs');
require('../../chunk-A4VFMLAN.cjs');
require('../../chunk-7XAMJGPO.cjs');
require('../../chunk-4775F523.cjs');
require('../../chunk-HUNMBCJM.cjs');
require('../../chunk-BJSAB3V6.cjs');
require('../../chunk-MPD2DJAD.cjs');
require('../../chunk-ZGKV237Z.cjs');
require('../../chunk-YELWQAMG.cjs');
require('../../chunk-5YFZ5XHS.cjs');
require('../../chunk-ZMMLSWTE.cjs');
require('../../chunk-FEYF6QXS.cjs');
require('../../chunk-DLURJFPJ.cjs');
require('../../chunk-TLW7XWMG.cjs');
require('../../chunk-RUCUMN54.cjs');
require('../../chunk-N5QVPPY5.cjs');
require('../../chunk-ANZPWIO4.cjs');
require('../../chunk-HGZBTWNM.cjs');
require('../../chunk-PJXRDQ2A.cjs');
require('../../chunk-P6CCMGL5.cjs');
require('../../chunk-2H3C4K3S.cjs');
require('../../chunk-FYLSPYV2.cjs');
require('../../chunk-YKRFYR2Q.cjs');
require('../../chunk-ZZSC3TSL.cjs');
require('../../chunk-BMRI2X66.cjs');
require('../../chunk-DG7AY3TM.cjs');
require('../../chunk-JGD7O5EZ.cjs');

// src/common/exec/progress.spec.ts
describe("progress.spec", () => {
  it("should track progress", async () => {
    const p = new (0, _chunkBUWCUYNXcjs.Progress)({
      name: "root",
      totalUnits: 10
    });
    expect(p.getFraction()).toBe(0);
    p.incCompletedUnits();
    expect(p.getTotalUnits()).toBe(10);
    expect(p.getCompletedUnits()).toBe(1);
    expect(p.getFraction()).toBe(0.1);
    const pp = new (0, _chunkBUWCUYNXcjs.Progress)();
    p.addChild(pp);
    expect(p.getChildrenCount()).toBe(1);
    expect(p.getFraction()).toBe(0.1);
    pp.setTotalUnits(10);
    expect(p.getFraction()).toBe(0.05);
    pp.incCompletedUnits(5);
    expect(p.getTotalUnits()).toBe(20);
    expect(p.getCompletedUnits()).toBe(6);
    expect(p.getFraction()).toBe(0.3);
    expect(p.toString()).toMatchInlineSnapshot(`
      "root: 1 of 10 units, 30 %, cancel=false
        progress-0: 5 of 10 units, 50 %, cancel=false"
    `);
    expect(pp.isFinished()).toBe(false);
    expect(p.getChildrenCount()).toBe(1);
    await pp.dispose();
    expect(p.getChildrenCount()).toBe(0);
    expect(pp.isFinished()).toBe(true);
    expect(p.getTotalUnits()).toBe(10);
    expect(p.getCompletedUnits()).toBe(1);
    expect(p.getFraction()).toBe(0.1);
    expect(p.isFinished()).toBe(false);
    p.setCompletetedUnits(10);
    expect(p.getFraction()).toBe(1);
    expect(p.isFinished()).toBe(true);
  });
  it("should cancel and auto reset", async () => {
    const p = new (0, _chunkBUWCUYNXcjs.Progress)({
      totalUnits: 10
    });
    expect(p.isCancelled()).toBe(false);
    await p.cancel();
    expect(p.isCancelled()).toBe(true);
    p.incCompletedUnits(10);
    expect(p.isFinished()).toBe(true);
    expect(p.isCancelled()).toBe(false);
  });
});
//# sourceMappingURL=progress.spec.cjs.map