"use strict";





var _chunkN5QVPPY5cjs = require('../../chunk-N5QVPPY5.cjs');

// src/common/exec/promise.spec.ts
describe("promises", () => {
  async function demo() {
    return 999;
  }
  function demoSync() {
    return 888;
  }
  it("should identify promise", async () => {
    expect(_chunkN5QVPPY5cjs.isPromise.call(void 0, null)).toBe(false);
    expect(_chunkN5QVPPY5cjs.isPromise.call(void 0, new Promise((r) => 1))).toBe(true);
    expect(_chunkN5QVPPY5cjs.isPromise.call(void 0, demo)).toBe(false);
    expect(_chunkN5QVPPY5cjs.isPromise.call(void 0, demo())).toBe(true);
    expect(_chunkN5QVPPY5cjs.isPromise.call(void 0, await demo())).toBe(false);
  });
  it("should await", async () => {
    expect(await _chunkN5QVPPY5cjs.promisify.call(void 0, demo())).toBe(999);
    expect(await _chunkN5QVPPY5cjs.promisify.call(void 0, await demo())).toBe(999);
    expect(await _chunkN5QVPPY5cjs.promisify.call(void 0, demoSync())).toBe(888);
  });
  it("should timeout", async () => {
    const r = await _chunkN5QVPPY5cjs.timeout.call(void 0, _chunkN5QVPPY5cjs.sleep.call(void 0, 1e3), 500);
    expect(r).toBe("timeoutReached");
    const r2 = await _chunkN5QVPPY5cjs.timeout.call(void 0, 
      (async () => {
        return 123;
      })(),
      500
    );
    expect(r2).toBe(123);
  });
  it("should create promise", async () => {
    const [promise, resolve] = _chunkN5QVPPY5cjs.createPromise.call(void 0, );
    setTimeout(() => {
      resolve(5);
    }, 50);
    const result = await promise;
    expect(result).toEqual(5);
  });
});
//# sourceMappingURL=promise.spec.cjs.map