"use strict";





var _chunk4DTP63TDcjs = require('../../chunk-4DTP63TD.cjs');







var _chunkALCNRFOTcjs = require('../../chunk-ALCNRFOT.cjs');
require('../../chunk-RHU3NAJJ.cjs');
require('../../chunk-5YJQXJJ2.cjs');
require('../../chunk-DRTH56G4.cjs');
require('../../chunk-KTC5RW57.cjs');
require('../../chunk-A4VFMLAN.cjs');
require('../../chunk-7XAMJGPO.cjs');
require('../../chunk-4775F523.cjs');
require('../../chunk-HUNMBCJM.cjs');
require('../../chunk-BJSAB3V6.cjs');
require('../../chunk-MPD2DJAD.cjs');
require('../../chunk-ZGKV237Z.cjs');
require('../../chunk-YELWQAMG.cjs');
require('../../chunk-5YFZ5XHS.cjs');
require('../../chunk-ZMMLSWTE.cjs');
require('../../chunk-FEYF6QXS.cjs');
require('../../chunk-DLURJFPJ.cjs');
require('../../chunk-TLW7XWMG.cjs');
require('../../chunk-RUCUMN54.cjs');
require('../../chunk-N5QVPPY5.cjs');
require('../../chunk-ANZPWIO4.cjs');
require('../../chunk-HGZBTWNM.cjs');
require('../../chunk-PJXRDQ2A.cjs');
require('../../chunk-P6CCMGL5.cjs');
require('../../chunk-2H3C4K3S.cjs');
require('../../chunk-FYLSPYV2.cjs');
require('../../chunk-YKRFYR2Q.cjs');
require('../../chunk-ZZSC3TSL.cjs');
require('../../chunk-BMRI2X66.cjs');
require('../../chunk-DG7AY3TM.cjs');
require('../../chunk-JGD7O5EZ.cjs');

// src/common/log/log-filter.spec.ts
describe("log-filter", () => {
  it("should match", () => {
    {
      const matches = _chunk4DTP63TDcjs.useNamespaceFilter.call(void 0, "a");
      expect(matches.filter).toBe("a");
      expect(matches.accept).toEqual([/^a/]);
      expect(matches.reject).toEqual([]);
      expect(matches("a")).toBe(true);
      expect(matches("aa")).toBe(true);
      expect(matches("b:c")).toBe(false);
    }
    {
      const matches = _chunk4DTP63TDcjs.useNamespaceFilter.call(void 0, "a*");
      expect(matches.filter).toBe("a*");
      expect(matches.accept).toEqual([/^a.*?/]);
      expect(matches.reject).toEqual([]);
      expect(matches("a")).toBe(true);
      expect(matches("aa")).toBe(true);
      expect(matches("b:c")).toBe(false);
    }
    {
      const matches = _chunk4DTP63TDcjs.useNamespaceFilter.call(void 0, "a*,b*,-c*");
      expect(matches.filter).toBe("a*,b*,-c*");
      expect(matches.accept).toEqual([/^a.*?/, /^b.*?/]);
      expect(matches.reject).toEqual([/^c.*?/]);
      expect(matches("a")).toBe(true);
      expect(matches("aa")).toBe(true);
      expect(matches("b:c")).toBe(true);
      expect(matches("c:d")).toBe(false);
    }
    {
      const matches = _chunk4DTP63TDcjs.useNamespaceFilter.call(void 0, "*,-c*");
      expect(matches.filter).toBe("*,-c*");
      expect(matches.accept).toEqual([/^.*?/]);
      expect(matches.reject).toEqual([/^c.*?/]);
      expect(matches("a")).toBe(true);
      expect(matches("aa")).toBe(true);
      expect(matches("b:c")).toBe(true);
      expect(matches("c:d")).toBe(false);
    }
    {
      const matches = _chunk4DTP63TDcjs.useNamespaceFilter.call(void 0, "*,-c");
      expect(matches.filter).toBe("*,-c");
      expect(matches.accept).toEqual([/^.*?/]);
      expect(matches.reject).toEqual([/^c/]);
      expect(matches("a")).toBe(true);
      expect(matches("aa")).toBe(true);
      expect(matches("b:c")).toBe(true);
      expect(matches("c:d")).toBe(false);
    }
    {
      const matches = _chunk4DTP63TDcjs.useNamespaceFilter.call(void 0, "*");
      expect(matches.filter).toBe("*");
      expect(matches.accept).toEqual([]);
      expect(matches.reject).toEqual([]);
      expect(matches("a")).toBe(true);
      expect(matches("b:c")).toBe(true);
    }
  });
  it("should interprete filter right", () => {
    expect(_chunk4DTP63TDcjs.getNamespaceFilterString.call(void 0, "")).toEqual("");
    expect(_chunk4DTP63TDcjs.getNamespaceFilterString.call(void 0, 0)).toEqual("");
    expect(_chunk4DTP63TDcjs.getNamespaceFilterString.call(void 0, false)).toEqual("");
    expect(_chunk4DTP63TDcjs.getNamespaceFilterString.call(void 0, "false")).toEqual("");
    expect(_chunk4DTP63TDcjs.getNamespaceFilterString.call(void 0, null)).toEqual("");
    expect(_chunk4DTP63TDcjs.getNamespaceFilterString.call(void 0, "*")).toEqual("*");
    expect(_chunk4DTP63TDcjs.getNamespaceFilterString.call(void 0, 1)).toEqual("*");
    expect(_chunk4DTP63TDcjs.getNamespaceFilterString.call(void 0, true)).toEqual("*");
    expect(_chunk4DTP63TDcjs.getNamespaceFilterString.call(void 0, "true")).toEqual("*");
    expect(_chunk4DTP63TDcjs.getNamespaceFilterString.call(void 0, "a:b")).toEqual("a:b");
  });
  it("should filter by level", () => {
    {
      const levelFilter = _chunk4DTP63TDcjs.useLevelFilter.call(void 0, "err");
      expect(levelFilter(_chunkALCNRFOTcjs.LogLevelDebug)).toBe(false);
      expect(levelFilter(_chunkALCNRFOTcjs.LogLevelWarn)).toBe(false);
      expect(levelFilter(_chunkALCNRFOTcjs.LogLevelError)).toBe(true);
    }
    {
      const levelFilter = _chunk4DTP63TDcjs.useLevelFilter.call(void 0, "adfdfds");
      expect(levelFilter(_chunkALCNRFOTcjs.LogLevelDebug)).toBe(true);
      expect(levelFilter(_chunkALCNRFOTcjs.LogLevelWarn)).toBe(true);
      expect(levelFilter(_chunkALCNRFOTcjs.LogLevelError)).toBe(true);
    }
    {
      const levelFilter = _chunk4DTP63TDcjs.useLevelFilter.call(void 0, _chunkALCNRFOTcjs.LogLevelWarn);
      expect(levelFilter(_chunkALCNRFOTcjs.LogLevelDebug)).toBe(false);
      expect(levelFilter(_chunkALCNRFOTcjs.LogLevelWarn)).toBe(true);
      expect(levelFilter(_chunkALCNRFOTcjs.LogLevelError)).toBe(true);
    }
  });
  it("should identify log level", () => {
    expect(_chunk4DTP63TDcjs.parseLogLevel.call(void 0, false)).toEqual(_chunkALCNRFOTcjs.LogLevelOff);
    expect(_chunk4DTP63TDcjs.parseLogLevel.call(void 0, "info")).toEqual(_chunkALCNRFOTcjs.LogLevelInfo);
    expect(_chunk4DTP63TDcjs.parseLogLevel.call(void 0, _chunkALCNRFOTcjs.LogLevelError)).toEqual(_chunkALCNRFOTcjs.LogLevelError);
    expect(_chunk4DTP63TDcjs.parseLogLevel.call(void 0, true)).toEqual(_chunkALCNRFOTcjs.LogLevelAll);
    expect(_chunk4DTP63TDcjs.parseLogLevel.call(void 0, 2)).toEqual(_chunkALCNRFOTcjs.LogLevelWarn);
  });
  it("should join strings", () => {
    expect(_chunk4DTP63TDcjs.joinLogStrings.call(void 0, "test")).toEqual(["test"]);
    expect(_chunk4DTP63TDcjs.joinLogStrings.call(void 0, "test", "more", 1, 2, 3)).toEqual(["test more", 1, 2, 3]);
    expect(_chunk4DTP63TDcjs.joinLogStrings.call(void 0, "test", { a: 1 })).toEqual(["test", { a: 1 }]);
    expect(_chunk4DTP63TDcjs.joinLogStrings.call(void 0, "test", "a", "b", true, void 0, null, { a: 1 })).toEqual(["test a", "b", true, void 0, null, { a: 1 }]);
  });
});
//# sourceMappingURL=log-filter.spec.cjs.map