"use strict";Object.defineProperty(exports, "__esModule", {value: true});

var _chunkY3THA3W3cjs = require('../../chunk-Y3THA3W3.cjs');



var _chunkM5A6E3IVcjs = require('../../chunk-M5A6E3IV.cjs');
require('../../chunk-XG57S66T.cjs');
require('../../chunk-ILU6JYIQ.cjs');
require('../../chunk-2ICTYHLD.cjs');
require('../../chunk-ROMJB24B.cjs');
require('../../chunk-FLEYODRW.cjs');
require('../../chunk-ZYPCVNSG.cjs');
require('../../chunk-N46W55MH.cjs');
require('../../chunk-4DTP63TD.cjs');
require('../../chunk-ALCNRFOT.cjs');
require('../../chunk-44QLSR3L.cjs');
require('../../chunk-RHU3NAJJ.cjs');
require('../../chunk-5YJQXJJ2.cjs');
require('../../chunk-DRTH56G4.cjs');
require('../../chunk-KTC5RW57.cjs');
require('../../chunk-A4VFMLAN.cjs');
require('../../chunk-7XAMJGPO.cjs');
require('../../chunk-4775F523.cjs');
require('../../chunk-HUNMBCJM.cjs');
require('../../chunk-BJSAB3V6.cjs');
require('../../chunk-MPD2DJAD.cjs');
require('../../chunk-ZGKV237Z.cjs');
require('../../chunk-YELWQAMG.cjs');
require('../../chunk-5YFZ5XHS.cjs');
require('../../chunk-ZMMLSWTE.cjs');
require('../../chunk-FEYF6QXS.cjs');
require('../../chunk-DLURJFPJ.cjs');
require('../../chunk-TLW7XWMG.cjs');
require('../../chunk-RUCUMN54.cjs');



var _chunkN5QVPPY5cjs = require('../../chunk-N5QVPPY5.cjs');
require('../../chunk-ANZPWIO4.cjs');
require('../../chunk-HGZBTWNM.cjs');


var _chunkPJXRDQ2Acjs = require('../../chunk-PJXRDQ2A.cjs');
require('../../chunk-P6CCMGL5.cjs');
require('../../chunk-2H3C4K3S.cjs');
require('../../chunk-FYLSPYV2.cjs');
require('../../chunk-YKRFYR2Q.cjs');
require('../../chunk-ZZSC3TSL.cjs');
require('../../chunk-BMRI2X66.cjs');
require('../../chunk-DG7AY3TM.cjs');
require('../../chunk-JGD7O5EZ.cjs');

// src/common/msg/emitter.spec.ts
var _vitest = require('vitest');
var platform = _chunkY3THA3W3cjs.detect.call(void 0, );
function lazyListener(emitter, listenerKey) {
  const name = Math.round(_chunkPJXRDQ2Acjs.getSecureRandomIfPossible.call(void 0, ) * 100);
  const events = [];
  let lazyResolve;
  const incoming = (key, obj) => {
    const ev = { key, obj };
    events.push(ev);
    lazyResolve && lazyResolve();
  };
  if (listenerKey) {
    if (emitter.on) {
      emitter.on(listenerKey, (obj) => {
        incoming(listenerKey, obj);
      });
    } else if (emitter.addEventListener) {
      emitter.addEventListener(listenerKey, (obj) => {
        incoming(listenerKey, obj);
      });
    } else {
      emitter.log.error(name, "Cannot listen to key");
    }
  } else {
    if (emitter.onAny) {
      emitter.onAny((key, obj) => {
        incoming(key, obj);
      });
    } else {
      emitter.log.error(name, "cannot listen to all for", emitter);
    }
  }
  const on = (key, skipUnmatched = true) => {
    return new Promise((resolve, reject) => {
      if (!key) {
        key = listenerKey;
        if (!key) {
          if (events.length) {
            key = events[0].key;
          }
        }
      }
      lazyResolve = () => {
        while (events.length > 0) {
          const ev = events.shift();
          if (ev.key === key) {
            lazyResolve = void 0;
            resolve(ev.obj);
          } else {
            if (skipUnmatched) {
              continue;
            }
            reject(new Error(`Expected ${key}, but found ${ev.key} with value=${ev.obj}`));
          }
          break;
        }
      };
      lazyResolve();
    });
  };
  return on;
}
describe("emitter", () => {
  it("should emit", async () => {
    expect.assertions(4);
    let ctr = 0;
    const e = new (0, _chunkM5A6E3IVcjs.Emitter)();
    e.on("test", (x, y) => expect(x + y).toBe(123));
    e.on("long", async () => {
      await _chunkN5QVPPY5cjs.sleep.call(void 0, 500);
      ctr++;
    });
    const ee = e.call;
    await ee.long();
    expect(ctr).toBe(1);
    e.onCall({
      test(x, y) {
        expect(x + y).toBe(123);
      }
    });
    await e.emit("long");
    expect(ctr).toBe(2);
    await e.emit("test", 100, 23);
  });
  it("should work", async () => {
    const e1 = new (0, _chunkM5A6E3IVcjs.Emitter)();
    const e2 = new (0, _chunkM5A6E3IVcjs.Emitter)();
    let counter = 99;
    e1.on("a", () => counter++);
    e2.on("a", () => counter--);
    e2.on("b", () => counter--);
    e1.emit("a");
    expect(counter).toBe(100);
    e2.emit("a");
    e2.emit("b");
    expect(counter).toBe(98);
    e1.on("a", () => counter++);
    e1.emit("a");
    expect(counter).toBe(100);
    e1.removeAllListeners();
    e1.emit("a");
    expect(counter).toBe(100);
  });
  it("should wait on", async () => {
    expect.assertions(2);
    const e1 = new (0, _chunkM5A6E3IVcjs.Emitter)();
    setTimeout(() => {
      e1.emit("f", 1);
    }, 100);
    const v = await _chunkN5QVPPY5cjs.waitOn.call(void 0, e1, "f");
    expect(v).toBe(1);
    if (platform.test) {
      await expect(_chunkN5QVPPY5cjs.waitOn.call(void 0, e1, "x", 10)).rejects.toThrow(
        "Did not response in time"
      );
    }
  });
  it("should work lazy", async () => {
    const e1 = new (0, _chunkM5A6E3IVcjs.Emitter)();
    const e2 = new (0, _chunkM5A6E3IVcjs.Emitter)();
    const on1 = lazyListener(e1);
    const on2 = lazyListener(e2);
    await e1.emit("a", 1);
    await e1.emit("b", 2);
    await e2.emit("a", 3);
    expect(await on2("a")).toBe(3);
    expect(await on1("b")).toBe(2);
  });
  it("should expect events", async () => {
    expect.assertions(3);
    const e = new (0, _chunkM5A6E3IVcjs.Emitter)();
    e.on("a", (v) => expect(v).toBe(1));
    e.on("a", (v) => expect(v).toBe(1));
    e.on("b", (v) => expect(v).toBe(1));
    await e.emit("a", 1);
    await e.emit("b", 1);
  });
  it("should expect once", async () => {
    expect.assertions(1);
    const e = new (0, _chunkM5A6E3IVcjs.Emitter)();
    e.once("a", (v) => expect(v).toBe(1));
    e.emit("a", 1);
    e.emit("a", 2);
    e.emit("a", 3);
  });
  it("should mock events", async () => {
    const fn = _vitest.vi.fn();
    const e = new (0, _chunkM5A6E3IVcjs.Emitter)();
    e.on("a", fn);
    e.on("a", fn);
    e.on("b", fn);
    await e.emit("a", 1);
    await e.emit("b", 1);
    expect(fn).toBeCalledTimes(3);
  });
  it("should work with global listener", async () => {
    const fn = _vitest.vi.fn();
    const e = _chunkM5A6E3IVcjs.getGlobalEmitter.call(void 0, );
    e.on("a", fn);
    e.on("a", fn);
    e.on("b", fn);
    await e.emit("a", 1);
    await _chunkM5A6E3IVcjs.getGlobalEmitter.call(void 0, ).emit("b", 2);
    expect(fn).toBeCalledTimes(3);
    expect(fn.mock).toMatchInlineSnapshot(`
      Object {
        "calls": Array [
          Array [
            1,
          ],
          Array [
            1,
          ],
          Array [
            2,
          ],
        ],
        "instances": Array [
          undefined,
          undefined,
          undefined,
        ],
        "invocationCallOrder": Array [
          4,
          5,
          6,
        ],
        "lastCall": Array [
          2,
        ],
        "results": Array [
          Object {
            "type": "return",
            "value": undefined,
          },
          Object {
            "type": "return",
            "value": undefined,
          },
          Object {
            "type": "return",
            "value": undefined,
          },
        ],
      }
    `);
  });
  it("should respect priorities", async () => {
    const e = new (0, _chunkM5A6E3IVcjs.Emitter)();
    const l = [];
    e.on("p", () => l.push(2), { priority: 100 });
    e.on("p", () => l.push(5), { priority: -1 });
    e.on("p", () => l.push(6), { priority: -2 });
    e.on("p", () => l.push(1), { priority: 110 });
    e.on("p", () => l.push(3));
    e.on("p", () => l.push(4));
    await e.emit("p");
    expect(l).toEqual([1, 2, 3, 4, 5, 6]);
  });
});


exports.lazyListener = lazyListener;
//# sourceMappingURL=emitter.spec.cjs.map