import "../../chunk-HMRSQHLY.js";
import "../../chunk-UMUHNSGZ.js";
import "../../chunk-XXA2VCHX.js";
import "../../chunk-KZGDS2U4.js";
import "../../chunk-757WXGDS.js";
import "../../chunk-MKG75UEC.js";
import "../../chunk-MWUFUBY5.js";
import "../../chunk-GKKLBSFA.js";
import "../../chunk-RNL46FQ3.js";
import "../../chunk-5YRPAB4U.js";
import "../../chunk-QVFQNQV4.js";
import "../../chunk-FLFB2K34.js";
import "../../chunk-264HKVNG.js";
import "../../chunk-HST4VI64.js";
import "../../chunk-MN6DD7TD.js";
import "../../chunk-GZUTQZ3U.js";
import "../../chunk-IRAXCYXQ.js";
import "../../chunk-T2MBDYSL.js";
import "../../chunk-EW6FHLFK.js";
import "../../chunk-OYNSVQOM.js";
import "../../chunk-Q75B3LT2.js";
import "../../chunk-NKARXZR4.js";
import "../../chunk-LUQZ27ZQ.js";
import "../../chunk-HYJBWXV7.js";
import "../../chunk-7OAUULYN.js";
import "../../chunk-AR6BCIEQ.js";
import "../../chunk-SMAIMMCT.js";
import {
  CryptoEncoder,
  JsonEncoder
} from "../../chunk-2OOKKBJ6.js";
import "../../chunk-BZI4YHUE.js";
import "../../chunk-X7W6H72B.js";
import "../../chunk-ZVMU3WSX.js";
import "../../chunk-4EOY6YSF.js";
import "../../chunk-EK32D4RU.js";
import "../../chunk-7GOLOL5D.js";
import "../../chunk-EC265RJR.js";
import "../../chunk-Q4U2LWXG.js";
import "../../chunk-W7LFRQ22.js";
import "../../chunk-F43DOT7T.js";
import "../../chunk-CFICINSP.js";
import {
  deriveKeyPbkdf2,
  randomUint8Array
} from "../../chunk-5RFQXBFU.js";
import "../../chunk-I45WP5PM.js";
import "../../chunk-XZKJFOLV.js";
import "../../chunk-MAHFB3CS.js";
import "../../chunk-EJVKADTL.js";
import "../../chunk-ERNLUGKM.js";
import "../../chunk-IXQQW2HU.js";
import "../../chunk-XSB2WAW2.js";
import "../../chunk-AS5LR4AI.js";
import "../../chunk-5Y3HYG6B.js";
import "../../chunk-AFUVZLZZ.js";
import "../../chunk-VQP2U5NJ.js";
import "../../chunk-2NUBGBAZ.js";
import "../../chunk-JOGTJBRE.js";
import "../../chunk-FL5CT6MC.js";
import "../../chunk-2HWPZ6ZE.js";
import "../../chunk-HLRQ5H3N.js";
import "../../chunk-FPGKBYJC.js";
import "../../chunk-SIEZSWEQ.js";
import "../../chunk-DGP32WEQ.js";
import "../../chunk-SW2CNWDU.js";
import "../../chunk-HWIBO3OW.js";
import "../../chunk-Z4LF2VTM.js";
import "../../chunk-CBA7RGFL.js";
import "../../chunk-YEEGQOIW.js";
import "../../chunk-2OESVESN.js";
import "../../chunk-IZT6OHMS.js";
import "../../chunk-V2ICHMP3.js";
import "../../chunk-CFAKTF25.js";
import "../../chunk-TYWNSO7K.js";
import "../../chunk-ZMFW3O35.js";
import "../../chunk-VK2OFAYR.js";
import "../../chunk-7NSVDPHN.js";
import "../../chunk-EWHIXGDN.js";
import "../../chunk-UHUPIXEQ.js";

// src/common/msg/encoder.spec.ts
describe("encoder", () => {
  it("should encode json", async () => {
    const sample = {
      name: "Hello \u2192 w\xF6rld \u{1F468}\u200D\u{1F469}\u200D\u{1F467}\u200D\u{1F466}",
      list: [1, false, "test"],
      num: 1
    };
    const encoder = new JsonEncoder();
    const enc = await encoder.encode(sample);
    const back = await encoder.decode(enc);
    expect(back).toEqual(sample);
  });
  it("should encode crypto", async () => {
    const sample = {
      name: "Hello \u2192 w\xF6rld \u{1F468}\u200D\u{1F469}\u200D\u{1F467}\u200D\u{1F466}",
      list: [1, false, "test"],
      num: 1
    };
    const key = await deriveKeyPbkdf2(randomUint8Array(20));
    const encoder = new CryptoEncoder(key);
    const enc = await encoder.encode(sample);
    expect(enc).not.toEqual(sample);
    const back = await encoder.decode(enc);
    expect(back).toEqual(sample);
  });
});
//# sourceMappingURL=encoder.spec.js.map