"use strict";


var _chunkTEF2WOOVcjs = require('../../chunk-TEF2WOOV.cjs');
require('../../chunk-HKDYK77N.cjs');
require('../../chunk-7GW3ENUZ.cjs');
require('../../chunk-X23ZSPZC.cjs');
require('../../chunk-2UTQQDPY.cjs');
require('../../chunk-SFUIGVPA.cjs');
require('../../chunk-EAWRHPYJ.cjs');



var _chunk6LKD7EB2cjs = require('../../chunk-6LKD7EB2.cjs');
require('../../chunk-XG57S66T.cjs');
require('../../chunk-ILU6JYIQ.cjs');
require('../../chunk-2ICTYHLD.cjs');
require('../../chunk-ROMJB24B.cjs');
require('../../chunk-FLEYODRW.cjs');
require('../../chunk-ZYPCVNSG.cjs');
require('../../chunk-N46W55MH.cjs');
require('../../chunk-4DTP63TD.cjs');
require('../../chunk-ALCNRFOT.cjs');
require('../../chunk-44QLSR3L.cjs');
require('../../chunk-RHU3NAJJ.cjs');
require('../../chunk-5YJQXJJ2.cjs');
require('../../chunk-DRTH56G4.cjs');
require('../../chunk-KTC5RW57.cjs');
require('../../chunk-A4VFMLAN.cjs');
require('../../chunk-7XAMJGPO.cjs');
require('../../chunk-4775F523.cjs');
require('../../chunk-HUNMBCJM.cjs');
require('../../chunk-BJSAB3V6.cjs');
require('../../chunk-MPD2DJAD.cjs');
require('../../chunk-ZGKV237Z.cjs');
require('../../chunk-YELWQAMG.cjs');
require('../../chunk-5YFZ5XHS.cjs');
require('../../chunk-ZMMLSWTE.cjs');
require('../../chunk-FEYF6QXS.cjs');
require('../../chunk-DLURJFPJ.cjs');
require('../../chunk-TLW7XWMG.cjs');
require('../../chunk-RUCUMN54.cjs');
require('../../chunk-N5QVPPY5.cjs');
require('../../chunk-ANZPWIO4.cjs');
require('../../chunk-HGZBTWNM.cjs');
require('../../chunk-PJXRDQ2A.cjs');
require('../../chunk-P6CCMGL5.cjs');
require('../../chunk-2H3C4K3S.cjs');
require('../../chunk-FYLSPYV2.cjs');
require('../../chunk-YKRFYR2Q.cjs');
require('../../chunk-ZZSC3TSL.cjs');
require('../../chunk-BMRI2X66.cjs');
require('../../chunk-DG7AY3TM.cjs');
require('../../chunk-JGD7O5EZ.cjs');

// src/common/msg/rpc.spec.ts
var _worker_threads = require('worker_threads');
var bobCount = 0;
var Bob = {
  hi(name) {
    return `Hi ${name}, I am Bob`;
  },
  bump() {
    bobCount += 1;
  },
  getCount() {
    return bobCount;
  }
};
var Alice = {
  hello(name) {
    return `Hello ${name}, my name is Alice`;
  }
};
describe("rpc", () => {
  beforeEach(() => {
    bobCount = 0;
  });
  it("basic", async () => {
    const channel = new (0, _worker_threads.MessageChannel)();
    const serialize = (data) => _chunkTEF2WOOVcjs.encodeJson.call(void 0, data);
    const deserialize = (data) => _chunkTEF2WOOVcjs.decodeJson.call(void 0, data);
    const bob = _chunk6LKD7EB2cjs.useRPC.call(void 0, Bob, {
      post: (data) => channel.port1.postMessage(data),
      on: (data) => channel.port1.on("message", data),
      serialize,
      deserialize
    });
    const alice = _chunk6LKD7EB2cjs.useRPC.call(void 0, Alice, {
      // mark bob's `bump` as an event without response
      eventNames: ["bump"],
      post: (data) => channel.port2.postMessage(data),
      on: (data) => channel.port2.on("message", data),
      serialize,
      deserialize
    });
    expect(await bob.hello("Bob")).toEqual("Hello Bob, my name is Alice");
    expect(await alice.hi("Alice")).toEqual("Hi Alice, I am Bob");
    expect(alice.bump()).toBeUndefined();
    expect(Bob.getCount()).toBe(0);
    await new Promise((resolve) => setTimeout(resolve, 100));
    expect(Bob.getCount()).toBe(1);
    channel.port1.close();
    channel.port2.close();
  });
  it("hub", async () => {
    const channel = new (0, _worker_threads.MessageChannel)();
    const serialize = (data) => _chunkTEF2WOOVcjs.encodeJson.call(void 0, data);
    const deserialize = (data) => _chunkTEF2WOOVcjs.decodeJson.call(void 0, data);
    const bobHub = _chunk6LKD7EB2cjs.useRPCHub.call(void 0, {
      post: (data) => channel.port1.postMessage(data),
      on: (data) => channel.port1.on("message", data),
      serialize,
      deserialize
    });
    const bob = bobHub(Bob);
    const alice = _chunk6LKD7EB2cjs.useRPC.call(void 0, Alice, {
      // mark bob's `bump` as an event without response
      eventNames: ["bump"],
      post: (data) => channel.port2.postMessage(data),
      on: (data) => channel.port2.on("message", data),
      serialize,
      deserialize
    });
    expect(await bob.hello("Bob")).toEqual("Hello Bob, my name is Alice");
    expect(await alice.hi("Alice")).toEqual("Hi Alice, I am Bob");
    expect(alice.bump()).toBeUndefined();
    expect(Bob.getCount()).toBe(0);
    await new Promise((resolve) => setTimeout(resolve, 100));
    expect(Bob.getCount()).toBe(1);
    channel.port1.close();
    channel.port2.close();
  });
});
//# sourceMappingURL=rpc.spec.cjs.map